curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/profile_data \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"data_type": "job_family_description",
"source": "Workday",
"data": {
"job_family_description": "Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software."
}
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/profile_data"
payload = {
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"data_type": "job_family_description",
"source": "Workday",
"data": { "job_family_description": "Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software." }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: 'a3903505-eb84-42dc-a79f-5e7b1fe897b7',
data_type: 'job_family_description',
source: 'Workday',
data: {
job_family_description: 'Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software.'
}
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/profile_data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Create Job Family Profile Data for a Job Family
Submit new Job Family Profile Data information to initialise the Job Family inside the Skill Engine API.
Note: It may take some time for these changes to be reflected in the Job Family’s final Skill Profile, since they are processed asynchronously.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique Job Family ID in your system, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Query Parameters
The language of the input data, which has an impact on the Skill extraction. auto will automatically detect the language used in the provided data.
auto, nl, fr, en, de "en"
Body
Default structure for Job Family Profile Data.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Type of the Job Family Profile Data.
job_family_description "job_family_description"
The source of the Job Family Profile Data.
1 - 255"Workday"
The content of the Job Family Profile Data. The content should align with the data_type.
- job_family_description_content
- job_family_description_file_content
Show child attributes
Show child attributes
Response
No Content
Was this page helpful?